﻿<%@ Page Language="C#" EnableSessionState="False" Trace="False" AutoEventWireUp="True" Debug="False" %>
<script language="C#" runat="server">
protected String ContentUrlPrefix = String.Empty;

private void Page_Load(Object sender, EventArgs e)
{
  ContentUrlPrefix = (Request.ApplicationPath.Length > 1) ? String.Concat(Request.ApplicationPath,"/") : Request.ApplicationPath;
}
</script>
<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="cs-CZ" lang="cs-CZ" dir="ltr">
  <head>
    <meta http-equiv="Content-type" content="text/html; charset=utf-8" />
    <title>QueryString SEO friendly s pomocí HttpRequest.PathInfo</title>
  </head>
  <body>
    <h1>QueryString SEO friendly s pomocí HttpRequest.PathInfo</h1>
    <p>Request.QueryString["Product"]: <%=Request.QueryString["Product"]%></p>
    <p>Request.QueryString["Special"]: <%=Request.QueryString["Special"]%></p>
    <table>
      <thead>
        <tr>
          <th>Název zboží</th>
          <th>Cena</th>
        </tr>
      </thead>
      <tfoot></tfoot>
      <tbody>
        <tr>
          <td><a href="Shop.aspx?Product=Toaster">Toaster NO SEO</a></td>
          <td>620 Kč</td>
        </tr>
        <tr>
          <td><a href="Shop.aspx/Product/Toaster">Toaster SEO</a></td>
          <td>620 Kč</td>
        </tr>
        <tr>
          <td><a href="Shop.aspx/Product/Bath/Special/True">Bath (Special)</a></td>
          <td>2200 Kč</td>
        </tr>
        <tr>
          <td><a href="Shop.aspx/Product/Bath/Special/True/">Bath (Special/)</a></td>
          <td>2200 Kč</td>
        </tr>
        <tr>
          <td><a href="<%=ContentUrlPrefix%>Shop.aspx/NonSense/NonSense/Product/SomeProduct/NonSense2/NonSense2/Special/False/">Long URL</a></td>
          <td>20 Kč</td>
        </tr>
      </tbody>
    </table>
  </body>
</html>
